from Configurables import LoKi__Hybrid__TupleTool, FilterDesktop

def getLokiTool(Tuple, line, isMC) :
        if isMC :
                #location = "/Event/AllStreams/"
                location = "/Event/D02MUMU/"
        else : location = '/Event/Charm/' 
        my_LoKiCone_tool = Tuple.Dst.addTupleTool('LoKi__Hybrid__TupleTool/LoKi_Cone')
        my_LoKiCone_tool.Variables={
                "CONEANGLE_D_08"      : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD008\',\'CONEANGLE\',-1.)",
                "CONEMULT_D_08"       : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD008\',\'CONEMULT\', -1.)",
                "CONEPTASYM_D_08"     : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD008\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_Dstar_08"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst08\',\'CONEANGLE\',-1.)",
                "CONEMULT_Dstar_08"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst08\',\'CONEMULT\',-1.)",
                "CONEPTASYM_Dstar_08" : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst08\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_plus_08"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus08\',\'CONEANGLE\',-1.)",
                "CONEMULT_plus_08"    : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus08\',\'CONEMULT\', -1.)",
                "CONEPTASYM_plus_08"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus08\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_minus_08"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus08\',\'CONEANGLE\',-1.)",
                "CONEMULT_minus_08"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus08\',\'CONEMULT\',-1.)",
                "CONEPTASYM_minus_08" : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus08\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_pis_08"    : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis08\',\'CONEANGLE\',-1.)",
                "CONEMULT_pis_08"     : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis08\',\'CONEMULT\',-1.)",
                "CONEPTASYM_pis_08"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis08\',\'CONEPTASYM\',-1.)",

                "CONEANGLE_D_10"      : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD010\',\'CONEANGLE\',-1.)",
                "CONEMULT_D_10"       : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD010\',\'CONEMULT\', -1.)",
                "CONEPTASYM_D_10"     : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD010\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_Dstar_10"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst10\',\'CONEANGLE\',-1.)",
                "CONEMULT_Dstar_10"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst10\',\'CONEMULT\',-1.)",
                "CONEPTASYM_Dstar_10" : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst10\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_plus_10"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus10\',\'CONEANGLE\',-1.)",
                "CONEMULT_plus_10"    : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus10\',\'CONEMULT\', -1.)",
                "CONEPTASYM_plus_10"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus10\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_minus_10"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus10\',\'CONEANGLE\',-1.)",
                "CONEMULT_minus_10"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus10\',\'CONEMULT\',-1.)",
                "CONEPTASYM_minus_10" : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus10\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_pis_10"    : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis10\',\'CONEANGLE\',-1.)",
                "CONEMULT_pis_10"     : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis10\',\'CONEMULT\',-1.)",
                "CONEPTASYM_pis_10"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis10\',\'CONEPTASYM\',-1.)",

                "CONEANGLE_D_12"      : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD012\',\'CONEANGLE\',-1.)",
                "CONEMULT_D_12"       : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD012\',\'CONEMULT\', -1.)",
                "CONEPTASYM_D_12"     : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD012\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_Dstar_12"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst12\',\'CONEANGLE\',-1.)",
                "CONEMULT_Dstar_12"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst12\',\'CONEMULT\',-1.)",
                "CONEPTASYM_Dstar_12" : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst12\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_plus_12"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus12\',\'CONEANGLE\',-1.)",
                "CONEMULT_plus_12"    : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus12\',\'CONEMULT\', -1.)",
                "CONEPTASYM_plus_12"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus12\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_minus_12"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus12\',\'CONEANGLE\',-1.)",
                "CONEMULT_minus_12"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus12\',\'CONEMULT\',-1.)",
                "CONEPTASYM_minus_12" : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus12\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_pis_12"    : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis12\',\'CONEANGLE\',-1.)",
                "CONEMULT_pis_12"     : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis12\',\'CONEMULT\',-1.)",
                "CONEPTASYM_pis_12"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis12\',\'CONEPTASYM\',-1.)",

                "CONEANGLE_D_14"      : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD014\',\'CONEANGLE\',-1.)",
                "CONEMULT_D_14"       : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD014\',\'CONEMULT\', -1.)",
                "CONEPTASYM_D_14"     : "RELINFO(\'"+location+"Phys/"+line+"/P2CVD014\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_Dstar_14"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst14\',\'CONEANGLE\',-1.)",
                "CONEMULT_Dstar_14"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst14\',\'CONEMULT\',-1.)",
                "CONEPTASYM_Dstar_14" : "RELINFO(\'"+location+"Phys/"+line+"/P2CVDst14\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_plus_14"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus14\',\'CONEANGLE\',-1.)",
                "CONEMULT_plus_14"    : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus14\',\'CONEMULT\', -1.)",
                "CONEPTASYM_plus_14"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVplus14\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_minus_14"  : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus14\',\'CONEANGLE\',-1.)",
                "CONEMULT_minus_14"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus14\',\'CONEMULT\',-1.)",
                "CONEPTASYM_minus_14" : "RELINFO(\'"+location+"Phys/"+line+"/P2CVminus14\',\'CONEPTASYM\',-1.)",
                "CONEANGLE_pis_14"    : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis14\',\'CONEANGLE\',-1.)",
                "CONEMULT_pis_14"     : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis14\',\'CONEMULT\',-1.)",
                "CONEPTASYM_pis_14"   : "RELINFO(\'"+location+"Phys/"+line+"/P2CVpis14\',\'CONEPTASYM\',-1.)"
        }

#--------------------------------------------for SubstPID tuple-------------------------------------------------
def AddLokiCone_had_SINFO(Tuple):
    my_LoKiCone_had_sinfo_tool = Tuple.Dst.addTupleTool('LoKi__Hybrid__TupleTool/LoKi_Cone_had_sinfo')
    my_LoKiCone_had_sinfo_tool.Variables={
        "CONEANGLE_D_08"      : "INFO(9014, -1.)",
        "CONEMULT_D_08"       : "INFO(9015, -1.)",
        "CONEPTASYM_D_08"     : "INFO(9016, -1.)",
        "CONEANGLE_Dstar_08"  : "INFO(9017, -1.)",
        "CONEMULT_Dstar_08"   : "INFO(9018, -1.)",
        "CONEPTASYM_Dstar_08" : "INFO(9019, -1.)",
        "CONEANGLE_plus_08"   : "INFO(9020, -1.)",
        "CONEMULT_plus_08"    : "INFO(9021, -1.)",
        "CONEPTASYM_plus_08"  : "INFO(9022, -1.)",
        "CONEANGLE_minus_08"  : "INFO(9023, -1.)",
        "CONEMULT_minus_08"   : "INFO(9024, -1.)",
        "CONEPTASYM_minus_08" : "INFO(9025, -1.)",
        "CONEANGLE_pis_08"    : "INFO(9026, -1.)",
        "CONEMULT_pis_08"     : "INFO(9027, -1.)",
        "CONEPTASYM_pis_08"   : "INFO(9028, -1.)",

        "CONEANGLE_D_10"      : "INFO(9029, -1.)",
        "CONEMULT_D_10"       : "INFO(9030, -1.)",
        "CONEPTASYM_D_10"     : "INFO(9031, -1.)",
        "CONEANGLE_Dstar_10"  : "INFO(9032, -1.)",
        "CONEMULT_Dstar_10"   : "INFO(9033, -1.)",
        "CONEPTASYM_Dstar_10" : "INFO(9034, -1.)",
        "CONEANGLE_plus_10"   : "INFO(9035, -1.)",
        "CONEMULT_plus_10"    : "INFO(9036, -1.)",
        "CONEPTASYM_plus_10"  : "INFO(9037, -1.)",
        "CONEANGLE_minus_10"  : "INFO(9038, -1.)",
        "CONEMULT_minus_10"   : "INFO(9039, -1.)",
        "CONEPTASYM_minus_10" : "INFO(9040, -1.)",
        "CONEANGLE_pis_10"    : "INFO(9041, -1.)",
        "CONEMULT_pis_10"     : "INFO(9042, -1.)",
        "CONEPTASYM_pis_10"   : "INFO(9043, -1.)",

        "CONEANGLE_D_12"      : "INFO(9044, -1.)",
        "CONEMULT_D_12"       : "INFO(9045, -1.)",
        "CONEPTASYM_D_12"     : "INFO(9046, -1.)",
        "CONEANGLE_Dstar_12"  : "INFO(9047, -1.)",
        "CONEMULT_Dstar_12"   : "INFO(9048, -1.)",
        "CONEPTASYM_Dstar_12" : "INFO(9049, -1.)",
        "CONEANGLE_plus_12"   : "INFO(9050, -1.)",
        "CONEMULT_plus_12"    : "INFO(9051, -1.)",
        "CONEPTASYM_plus_12"  : "INFO(9052, -1.)",
        "CONEANGLE_minus_12"  : "INFO(9053, -1.)",
        "CONEMULT_minus_12"   : "INFO(9054, -1.)",
        "CONEPTASYM_minus_12" : "INFO(9055, -1.)",
        "CONEANGLE_pis_12"    : "INFO(9056, -1.)",
        "CONEMULT_pis_12"     : "INFO(9057, -1.)",
        "CONEPTASYM_pis_12"   : "INFO(9058, -1.)",

        "CONEANGLE_D_14"      : "INFO(9059, -1.)",
        "CONEMULT_D_14"       : "INFO(9060, -1.)",
        "CONEPTASYM_D_14"     : "INFO(9061, -1.)",
        "CONEANGLE_Dstar_14"  : "INFO(9062, -1.)",
        "CONEMULT_Dstar_14"   : "INFO(9063, -1.)",
        "CONEPTASYM_Dstar_14" : "INFO(9064, -1.)",
        "CONEANGLE_plus_14"   : "INFO(9065, -1.)",
        "CONEMULT_plus_14"    : "INFO(9066, -1.)",
        "CONEPTASYM_plus_14"  : "INFO(9067, -1.)",
        "CONEANGLE_minus_14"  : "INFO(9068, -1.)",
        "CONEMULT_minus_14"   : "INFO(9069, -1.)",
        "CONEPTASYM_minus_14" : "INFO(9070, -1.)",
        "CONEANGLE_pis_14"    : "INFO(9071, -1.)",
        "CONEMULT_pis_14"     : "INFO(9072, -1.)",
        "CONEPTASYM_pis_14"   : "INFO(9073, -1.)"
        }


def getLokiToolForSubstPID(line, isMC) :
        if isMC :
                #location = "/Event/AllStreams/"
                location = "/Event/D02MUMU/"
        else : location = '/Event/Charm/' 

        flter = FilterDesktop( 'InfoWriter')
        flter.Preambulo = [
                "x1  = SINFO(9014, RELINFO(\'"+location+"Phys/"+line+"/P2CVD008\',\'CONEPTASYM\',-1.), True)",
                "x2  = SINFO(9015, RELINFO(\'"+location+"Phys/"+line+"/P2CVD008\',\'CONEPTASYM\',-1.), True)",
                "x3  = SINFO(9016, RELINFO(\'"+location+"Phys/"+line+"/P2CVD008\',\'CONEPTASYM\',-1.), True)",
                "x4  = SINFO(9017, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst08\',\'CONEANGLE\',-1.), True)",
                "x5  = SINFO(9018, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst08\',\'CONEMULT\',-1.), True)",
                "x6  = SINFO(9019, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst08\',\'CONEPTASYM\',-1.), True)",
                "x7  = SINFO(9020, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus08\',\'CONEANGLE\',-1.), True)",
                "x8  = SINFO(9021, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus08\',\'CONEMULT\', -1.), True)",
                "x9  = SINFO(9022, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus08\',\'CONEPTASYM\',-1.), True)",
                "x10 = SINFO(9023, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus08\',\'CONEANGLE\',-1.), True)",
                "x11 = SINFO(9024, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus08\',\'CONEMULT\',-1.), True)",
                "x12 = SINFO(9025, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus08\',\'CONEPTASYM\',-1.), True)",
                "x13 = SINFO(9026, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis08\',\'CONEANGLE\',-1.), True)",
                "x14 = SINFO(9027, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis08\',\'CONEMULT\',-1.), True)",
                "x15 = SINFO(9028, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis08\',\'CONEPTASYM\',-1.), True)",

                "x16 = SINFO(9029, RELINFO(\'"+location+"Phys/"+line+"/P2CVD010\',\'CONEANGLE\',-1.), True)",
                "x17 = SINFO(9030, RELINFO(\'"+location+"Phys/"+line+"/P2CVD010\',\'CONEMULT\', -1.), True)",
                "x18 = SINFO(9031, RELINFO(\'"+location+"Phys/"+line+"/P2CVD010\',\'CONEPTASYM\',-1.), True)",
                "x19 = SINFO(9032, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst10\',\'CONEANGLE\',-1.), True)",
                "x20 = SINFO(9033, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst10\',\'CONEMULT\',-1.), True)",
                "x21 = SINFO(9034, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst10\',\'CONEPTASYM\',-1.), True)",
                "x22 = SINFO(9035, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus10\',\'CONEANGLE\',-1.), True)",
                "x23 = SINFO(9036, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus10\',\'CONEMULT\', -1.), True)",
                "x24 = SINFO(9037, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus10\',\'CONEPTASYM\',-1.), True)",
                "x25 = SINFO(9038, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus10\',\'CONEANGLE\',-1.), True)",
                "x26 = SINFO(9039, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus10\',\'CONEMULT\',-1.), True)",
                "x27 = SINFO(9040, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus10\',\'CONEPTASYM\',-1.), True)",
                "x28 = SINFO(9041, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis10\',\'CONEANGLE\',-1.), True)",
                "x29 = SINFO(9042, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis10\',\'CONEMULT\',-1.), True)",
                "x30 = SINFO(9043, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis10\',\'CONEPTASYM\',-1.), True)",

                "x31 = SINFO(9044, RELINFO(\'"+location+"Phys/"+line+"/P2CVD012\',\'CONEANGLE\',-1.), True)",
                "x32 = SINFO(9045, RELINFO(\'"+location+"Phys/"+line+"/P2CVD012\',\'CONEMULT\', -1.), True)",
                "x33 = SINFO(9046, RELINFO(\'"+location+"Phys/"+line+"/P2CVD012\',\'CONEPTASYM\',-1.), True)",
                "x34 = SINFO(9047, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst12\',\'CONEANGLE\',-1.), True)",
                "x35 = SINFO(9048, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst12\',\'CONEMULT\',-1.), True)",
                "x36 = SINFO(9049, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst12\',\'CONEPTASYM\',-1.), True)",
                "x37 = SINFO(9050, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus12\',\'CONEANGLE\',-1.), True)",
                "x38 = SINFO(9051, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus12\',\'CONEMULT\', -1.), True)",
                "x39 = SINFO(9052, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus12\',\'CONEPTASYM\',-1.), True)",
                "x40 = SINFO(9053, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus12\',\'CONEANGLE\',-1.), True)",
                "x41 = SINFO(9054, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus12\',\'CONEMULT\',-1.), True)",
                "x42 = SINFO(9055, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus12\',\'CONEPTASYM\',-1.), True)",
                "x43 = SINFO(9056, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis12\',\'CONEANGLE\',-1.), True)",
                "x44 = SINFO(9057, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis12\',\'CONEMULT\',-1.), True)",
                "x45 = SINFO(9058, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis12\',\'CONEPTASYM\',-1.), True)",

                "x46 = SINFO(9059, RELINFO(\'"+location+"Phys/"+line+"/P2CVD014\',\'CONEANGLE\',-1.), True)",
                "x47 = SINFO(9060, RELINFO(\'"+location+"Phys/"+line+"/P2CVD014\',\'CONEMULT\', -1.), True)",
                "x48 = SINFO(9061, RELINFO(\'"+location+"Phys/"+line+"/P2CVD014\',\'CONEPTASYM\',-1.), True)",
                "x49 = SINFO(9062, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst14\',\'CONEANGLE\',-1.), True)",
                "x50 = SINFO(9063, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst14\',\'CONEMULT\',-1.), True)",
                "x51 = SINFO(9064, RELINFO(\'"+location+"Phys/"+line+"/P2CVDst14\',\'CONEPTASYM\',-1.), True)",
                "x52 = SINFO(9065, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus14\',\'CONEANGLE\',-1.), True)",
                "x53 = SINFO(9066, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus14\',\'CONEMULT\', -1.), True)",
                "x54 = SINFO(9067, RELINFO(\'"+location+"Phys/"+line+"/P2CVplus14\',\'CONEPTASYM\',-1.), True)",
                "x55 = SINFO(9068, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus14\',\'CONEANGLE\',-1.), True)",
                "x56 = SINFO(9069, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus14\',\'CONEMULT\',-1.), True)",
                "x57 = SINFO(9070, RELINFO(\'"+location+"Phys/"+line+"/P2CVminus14\',\'CONEPTASYM\',-1.), True)",
                "x58 = SINFO(9071, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis14\',\'CONEANGLE\',-1.), True)",
                "x59 = SINFO(9072, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis14\',\'CONEMULT\',-1.), True)",
                "x60 = SINFO(9073, RELINFO(\'"+location+"Phys/"+line+"/P2CVpis14\',\'CONEPTASYM\',-1.), True)"
        ]
        flter.Code = '(x1>-1000) & (x2>-1000) & (x3>-1000) & (x4>-1000) & (x5>-1000) & (x6>-1000) & (x7>-1000) & (x8>-1000) & (x9>-1000) & (x10>-1000) & (x11>-1000) & (x12>-1000) & (x13>-1000) & (x14>-1000) & (x15>-1000) & (x16>-1000) & (x17>-1000) & (x18>-1000) & (x19>-1000) & (x20>-1000) & (x21>-1000) & (x22>-1000) & (x23>-1000) & (x24>-1000) & (x25>-1000) & (x26>-1000) & (x27>-1000) & (x28>-1000) & (x29>-1000) & (x30>-1000) & (x31>-1000) & (x32>-1000) & (x33>-1000) & (x34>-1000) & (x35>-1000) & (x36>-1000) & (x37>-1000) & (x38>-1000) & (x39>-1000) & (x40>-1000) & (x41>-1000) & (x42>-1000) & (x43>-1000) & (x44>-1000) & (x45>-1000) & (x46>-1000) & (x47>-1000) & (x48>-1000) & (x49>-1000) & (x50>-1000) & (x51>-1000) & (x52>-1000) & (x53>-1000) & (x54>-1000) & (x55>-1000) & (x56>-1000) & (x57>-1000) & (x58>-1000) & (x59>-1000) & (x60>-1000)'
        return flter
